[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'Dos' (#rtl)

# weekday (platform)

Return the day of the week

## Declaration

Source position: dos.pp line 50

`function weekday(`
`y: LongInt;`
`m: LongInt;`
`d: LongInt`
`):LongInt;`

## Description

WeekDay returns the day of the week on which the day Y/M/D falls. Sunday is represented by 0, Saturday is 6.

## Errors

On error, -1 is returned.

## See also

PackTime |  | Pack DateTime value to a packed-time format.
UnpackTime |  | Unpack packed file time to a DateTime value
GetTime |  | Return the current time
SetTime |  | Set system time